Loading...
Searching...
No Matches
linux.c File Reference

## Macros

#define | _(String)
#define | __NR__llseek 140
#define | _GL_ATTRIBUTE_FORMAT(spec)
#define | AOE_MAJOR 152
#define | ATARAID_MAJOR 114
#define | BLKEXT_MAJOR 259
#define | BLKFLSBUF _IO(0x12,97) /* flush buffer cache */
#define | BLKGETLASTSECT _IO(0x12,108) /* get last sector of block device */
#define | BLKGETSIZE _IO(0x12,96) /* return device size */
#define | BLKGETSIZE64 _IOR(0x12,114,size_t)
#define | BLKRRPART _IO(0x12,95) /* re-read partition table */
#define | BLKSETLASTSECT _IO(0x12,109) /* set last sector of block device */
#define | BLKSSZGET _IO(0x12,104) /* get block device sector size */
#define | COMPAQ_SMART2_MAJOR 72
#define | COMPAQ_SMART2_MAJOR1 73
#define | COMPAQ_SMART2_MAJOR2 74
#define | COMPAQ_SMART2_MAJOR3 75
#define | COMPAQ_SMART2_MAJOR4 76
#define | COMPAQ_SMART2_MAJOR5 77
#define | COMPAQ_SMART2_MAJOR6 78
#define | COMPAQ_SMART2_MAJOR7 79
#define | COMPAQ_SMART_MAJOR 104
#define | COMPAQ_SMART_MAJOR1 105
#define | COMPAQ_SMART_MAJOR2 106
#define | COMPAQ_SMART_MAJOR3 107
#define | COMPAQ_SMART_MAJOR4 108
#define | COMPAQ_SMART_MAJOR5 109
#define | COMPAQ_SMART_MAJOR6 110
#define | COMPAQ_SMART_MAJOR7 111
#define | DAC960_MAJOR 48
#define | DASD_MAJOR 94
#define | HDIO_GET_IDENTITY 0x030d /* get IDE identification info */
#define | HDIO_GETGEO 0x0301 /* get device geometry */
#define | I2O_MAJOR1 80
#define | I2O_MAJOR2 81
#define | I2O_MAJOR3 82
#define | I2O_MAJOR4 83
#define | I2O_MAJOR5 84
#define | I2O_MAJOR6 85
#define | I2O_MAJOR7 86
#define | I2O_MAJOR8 87
#define | IDE0_MAJOR 3
#define | IDE1_MAJOR 22
#define | IDE2_MAJOR 33
#define | IDE3_MAJOR 34
#define | IDE4_MAJOR 56
#define | IDE5_MAJOR 57
#define | KERNEL_VERSION(a, b, c)
#define | LOOP_MAJOR 7
#define | MAX_NUM_PARTS 64
#define | MD_MAJOR 9
#define | PROC_DEVICES_BUFSIZ 16384
#define | RAM_MAJOR 1
#define | RD_MODE (O_RDONLY)
#define | RW_MODE (O_RDWR)
#define | SCSI_BLK_MAJOR(M)
#define | SCSI_CDROM_MAJOR 11
#define | SCSI_DISK0_MAJOR 8
#define | SCSI_DISK10_MAJOR 130
#define | SCSI_DISK11_MAJOR 131
#define | SCSI_DISK12_MAJOR 132
#define | SCSI_DISK13_MAJOR 133
#define | SCSI_DISK14_MAJOR 134
#define | SCSI_DISK15_MAJOR 135
#define | SCSI_DISK1_MAJOR 65
#define | SCSI_DISK2_MAJOR 66
#define | SCSI_DISK3_MAJOR 67
#define | SCSI_DISK4_MAJOR 68
#define | SCSI_DISK5_MAJOR 69
#define | SCSI_DISK6_MAJOR 70
#define | SCSI_DISK7_MAJOR 71
#define | SCSI_DISK8_MAJOR 128
#define | SCSI_DISK9_MAJOR 129
#define | SCSI_IOCTL_SEND_COMMAND 1
#define | SDMMC_MAJOR 179
#define | STRPREFIX(a, b)
#define | SX8_MAJOR1 160
#define | SX8_MAJOR2 161
#define | UBD_MAJOR 98
#define | VIODASD_MAJOR 112
#define | WR_MODE (O_WRONLY)
#define | XVD_MAJOR 202

## Variables

PedDiskArchOps | linux_disk_ops
PedArchitecture | ped_linux_arch

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## __NR__llseek

#define __NR__llseek 140

## _GL_ATTRIBUTE_FORMAT

#define _GL_ATTRIBUTE_FORMAT | ( |  | spec | ) |

Value:
/* empty */

## AOE_MAJOR

#define AOE_MAJOR 152

## ATARAID_MAJOR

#define ATARAID_MAJOR 114

## BLKEXT_MAJOR

#define BLKEXT_MAJOR 259

## BLKFLSBUF

#define BLKFLSBUF _IO(0x12,97) /* flush buffer cache */

## BLKGETLASTSECT

#define BLKGETLASTSECT _IO(0x12,108) /* get last sector of block device */

## BLKGETSIZE

#define BLKGETSIZE _IO(0x12,96) /* return device size */

## BLKGETSIZE64

#define BLKGETSIZE64 _IOR(0x12,114,size_t)

## BLKRRPART

#define BLKRRPART _IO(0x12,95) /* re-read partition table */

## BLKSETLASTSECT

#define BLKSETLASTSECT _IO(0x12,109) /* set last sector of block device */

## BLKSSZGET

#define BLKSSZGET _IO(0x12,104) /* get block device sector size */

## COMPAQ_SMART2_MAJOR

#define COMPAQ_SMART2_MAJOR 72

## COMPAQ_SMART2_MAJOR1

#define COMPAQ_SMART2_MAJOR1 73

## COMPAQ_SMART2_MAJOR2

#define COMPAQ_SMART2_MAJOR2 74

## COMPAQ_SMART2_MAJOR3

#define COMPAQ_SMART2_MAJOR3 75

## COMPAQ_SMART2_MAJOR4

#define COMPAQ_SMART2_MAJOR4 76

## COMPAQ_SMART2_MAJOR5

#define COMPAQ_SMART2_MAJOR5 77

## COMPAQ_SMART2_MAJOR6

#define COMPAQ_SMART2_MAJOR6 78

## COMPAQ_SMART2_MAJOR7

#define COMPAQ_SMART2_MAJOR7 79

## COMPAQ_SMART_MAJOR

#define COMPAQ_SMART_MAJOR 104

## COMPAQ_SMART_MAJOR1

#define COMPAQ_SMART_MAJOR1 105

## COMPAQ_SMART_MAJOR2

#define COMPAQ_SMART_MAJOR2 106

## COMPAQ_SMART_MAJOR3

#define COMPAQ_SMART_MAJOR3 107

## COMPAQ_SMART_MAJOR4

#define COMPAQ_SMART_MAJOR4 108

## COMPAQ_SMART_MAJOR5

#define COMPAQ_SMART_MAJOR5 109

## COMPAQ_SMART_MAJOR6

#define COMPAQ_SMART_MAJOR6 110

## COMPAQ_SMART_MAJOR7

#define COMPAQ_SMART_MAJOR7 111

## DAC960_MAJOR

#define DAC960_MAJOR 48

## DASD_MAJOR

#define DASD_MAJOR 94

## HDIO_GET_IDENTITY

#define HDIO_GET_IDENTITY 0x030d /* get IDE identification info */

## HDIO_GETGEO

#define HDIO_GETGEO 0x0301 /* get device geometry */

## I2O_MAJOR1

#define I2O_MAJOR1 80

## I2O_MAJOR2

#define I2O_MAJOR2 81

## I2O_MAJOR3

#define I2O_MAJOR3 82

## I2O_MAJOR4

#define I2O_MAJOR4 83

## I2O_MAJOR5

#define I2O_MAJOR5 84

## I2O_MAJOR6

#define I2O_MAJOR6 85

## I2O_MAJOR7

#define I2O_MAJOR7 86

## I2O_MAJOR8

#define I2O_MAJOR8 87

## IDE0_MAJOR

#define IDE0_MAJOR 3

## IDE1_MAJOR

#define IDE1_MAJOR 22

## IDE2_MAJOR

#define IDE2_MAJOR 33

## IDE3_MAJOR

#define IDE3_MAJOR 34

## IDE4_MAJOR

#define IDE4_MAJOR 56

## IDE5_MAJOR

#define IDE5_MAJOR 57

## KERNEL_VERSION

#define KERNEL_VERSION | ( |  | a,
|  |  | b,
|  |  | c )

Value:
(((a) << 16) + ((b) << 8) + (c))

## LOOP_MAJOR

#define LOOP_MAJOR 7

## MAX_NUM_PARTS

#define MAX_NUM_PARTS 64

## MD_MAJOR

#define MD_MAJOR 9

## PROC_DEVICES_BUFSIZ

#define PROC_DEVICES_BUFSIZ 16384

## RAM_MAJOR

#define RAM_MAJOR 1

## RD_MODE

#define RD_MODE (O_RDONLY)

## RW_MODE

#define RW_MODE (O_RDWR)

## SCSI_BLK_MAJOR

#define SCSI_BLK_MAJOR | ( |  | M | ) |

Value:
( \
(M) == SCSI_DISK0_MAJOR \
|| (M) == SCSI_CDROM_MAJOR \
|| ((M) >= SCSI_DISK1_MAJOR && (M) <= SCSI_DISK7_MAJOR) \
|| ((M) >= SCSI_DISK8_MAJOR && (M) <= SCSI_DISK15_MAJOR))
SCSI_DISK15_MAJOR
#define SCSI_DISK15_MAJOR
Definition linux.c:246
SCSI_DISK7_MAJOR
#define SCSI_DISK7_MAJOR
Definition linux.c:238
SCSI_DISK1_MAJOR
#define SCSI_DISK1_MAJOR
Definition linux.c:232
SCSI_CDROM_MAJOR
#define SCSI_CDROM_MAJOR
Definition linux.c:230
SCSI_DISK0_MAJOR
#define SCSI_DISK0_MAJOR
Definition linux.c:231
SCSI_DISK8_MAJOR
#define SCSI_DISK8_MAJOR
Definition linux.c:239

## SCSI_CDROM_MAJOR

#define SCSI_CDROM_MAJOR 11

## SCSI_DISK0_MAJOR

#define SCSI_DISK0_MAJOR 8

## SCSI_DISK10_MAJOR

#define SCSI_DISK10_MAJOR 130

## SCSI_DISK11_MAJOR

#define SCSI_DISK11_MAJOR 131

## SCSI_DISK12_MAJOR

#define SCSI_DISK12_MAJOR 132

## SCSI_DISK13_MAJOR

#define SCSI_DISK13_MAJOR 133

## SCSI_DISK14_MAJOR

#define SCSI_DISK14_MAJOR 134

## SCSI_DISK15_MAJOR

#define SCSI_DISK15_MAJOR 135

## SCSI_DISK1_MAJOR

#define SCSI_DISK1_MAJOR 65

## SCSI_DISK2_MAJOR

#define SCSI_DISK2_MAJOR 66

## SCSI_DISK3_MAJOR

#define SCSI_DISK3_MAJOR 67

## SCSI_DISK4_MAJOR

#define SCSI_DISK4_MAJOR 68

## SCSI_DISK5_MAJOR

#define SCSI_DISK5_MAJOR 69

## SCSI_DISK6_MAJOR

#define SCSI_DISK6_MAJOR 70

## SCSI_DISK7_MAJOR

#define SCSI_DISK7_MAJOR 71

## SCSI_DISK8_MAJOR

#define SCSI_DISK8_MAJOR 128

## SCSI_DISK9_MAJOR

#define SCSI_DISK9_MAJOR 129

## SCSI_IOCTL_SEND_COMMAND

#define SCSI_IOCTL_SEND_COMMAND 1

## SDMMC_MAJOR

#define SDMMC_MAJOR 179

## STRPREFIX

#define STRPREFIX | ( |  | a,
|  |  | b )

Value:
(strncmp (a, b, strlen (b)) == 0)

## SX8_MAJOR1

#define SX8_MAJOR1 160

## SX8_MAJOR2

#define SX8_MAJOR2 161

## UBD_MAJOR

#define UBD_MAJOR 98

## VIODASD_MAJOR

#define VIODASD_MAJOR 112

## WR_MODE

#define WR_MODE (O_WRONLY)

## XVD_MAJOR

#define XVD_MAJOR 202

## Variable Documentation

## linux_disk_ops

PedDiskArchOps linux_disk_ops

Initial value:
= {
partition_get_path: linux_partition_get_path,
partition_is_busy: linux_partition_is_busy,
disk_commit: linux_disk_commit
}

## ped_linux_arch

PedArchitecture ped_linux_arch

Initial value:
= {
dev_ops: &linux_dev_ops,
disk_ops: &linux_disk_ops
}
linux_disk_ops
PedDiskArchOps linux_disk_ops
Definition linux.c:3456